summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/xgettext-php-2
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/xgettext-php-2')
-rwxr-xr-xgettext-tools/tests/xgettext-php-26
1 files changed, 4 insertions, 2 deletions
diff --git a/gettext-tools/tests/xgettext-php-2 b/gettext-tools/tests/xgettext-php-2
index 7610b85..abb6ba9 100755
--- a/gettext-tools/tests/xgettext-php-2
+++ b/gettext-tools/tests/xgettext-php-2
@@ -42,9 +42,11 @@ echo _("Franks");
?>
EOF
-tmpfiles="$tmpfiles xg-ph-2.po"
+tmpfiles="$tmpfiles xg-ph-2.tmp.po xg-ph-2.po"
: ${XGETTEXT=xgettext}
-${XGETTEXT} --omit-header --no-location -d xg-ph-2 xg-ph-2.php
+${XGETTEXT} --omit-header --no-location -d xg-ph-2.tmp xg-ph-2.php
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+tr -d '\r' < xg-ph-2.tmp.po > xg-ph-2.po
test $? = 0 || { rm -fr $tmpfiles; exit 1; }
tmpfiles="$tmpfiles xg-ph-2.ok"